[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: GPL scripts with a GPL-incompatible interpreter

Steve Langasek <vorlon@netexpress.net> writes:

> On Fri, Dec 13, 2002 at 11:49:45AM -0800, Thomas Bushnell, BSG wrote:
> > > My concern is not with bindings (most PHP *bindings* seem to be
> > > GPL-compatible), but with the interpreter itself; I don't see anything in
> > > the GPL that states unequivocally that distributing a GPL script together
> > > with a GPL-incompatible interpreter is acceptable.  
> > Except that the authors of the GPL have said that this is the correct
> > intpretation *if* the interpreter is the ordinary kind of programming
> > language interpreter that we know of.  
> And if a hostile copyright holder were to come after us (or a
> redistributor, etc), how much protection would the opinion of the license
> author give us in court?

An awful lot, actually.

Reply to: